/********************************************************************************************************
*
* File                : 1602.c
* Hardware Environment:	DVK501 && F320 EX
* Build Environment   : uVision3 V3.80 20100913
* Version             : 
* By                  : Su Wei Feng
*
*                                  (c) Copyright 2005-2010, WaveShare
*                                       http://www.waveshare.net
*                                          All Rights Reserved
*
*********************************************************************************************************/

#define _DVK501_F340_EX_

#include<c8051f340.h>
#include <../../../library/ws_clock.h>
#include <../../../library/ws_delay.h>
#include <../../../library/ws_lcd1602_port.h>

#define CGRAM0 0x00
#define CGRAM1 0x01
#define CGRAM2 0x02
#define CGRAM3 0x03
#define CGRAM4 0x04
#define CGRAM5 0x05
#define CGRAM6 0x06
#define CGRAM7 0x07

uchar code userCh0[8]={0x10,0x1f,0x01,0x02,0x04,0x08,0x10,0x1f};
uchar code userCh1[8]={0x00,0x08,0x0f,0x01,0x02,0x04,0x08,0x0f};
uchar code userCh2[8]={0x00,0x00,0x04,0x07,0x01,0x02,0x04,0x07};

uchar code userCh3[8]={0x1f,0x12,0x14,0x18,0x10,0x17,0x14,0x1f};//
uchar code userCh4[8]={0x1f,0x09,0x05,0x03,0x01,0x1d,0x05,0x1f};

uchar code userCh5[8]={0x00,0x00,0x00,0x1f,0x1f,0x00,0x00,0x00};
uchar code userCh6[8]={0x00,0x00,0x00,0x1f,0x1f,0x00,0x00,0x00};
uchar code userCh7[8]={0x00,0x00,0x00,0x1f,0x1f,0x00,0x00,0x00};

void main(void)
{
	PCA0MD &= ~0x40;     //Clear watchdog timer enable	
	XBR1 = 0x40;
	clock_external();
	delay_ms(100);
	P0MDOUT = 0xFF;
	P1MDOUT = 0xFF;
	P2MDOUT = 0xFF;
	lcd1602_init();
	lcd1602_gotoxy(2,0);
	lcd1602_display("SZ WaveShare");

	lcd1602_setGCRAM(CGRAM0,userCh0);
	lcd1602_setGCRAM(CGRAM1,userCh1);
	lcd1602_setGCRAM(CGRAM2,userCh2);
	lcd1602_setGCRAM(CGRAM3,userCh3);
	
	lcd1602_setGCRAM(CGRAM4,userCh4);
	lcd1602_setGCRAM(CGRAM5,userCh5);
	lcd1602_setGCRAM(CGRAM6,userCh6);
	lcd1602_setGCRAM(CGRAM7,userCh7);
	
	lcd1602_gotoxy(2,1);
	
	lcd1602_write_data(CGRAM0);
	lcd1602_write_data(CGRAM1);
	lcd1602_write_data(CGRAM2);
	
	lcd1602_write_data(CGRAM3);
	lcd1602_write_data(CGRAM4);
	
	lcd1602_write_data(CGRAM5);
	lcd1602_write_data(CGRAM6);
	lcd1602_write_data(CGRAM7);
	
	while(1);
}